Summary:	Calculates fret distances for stringed musical instruments
Name:		fretscale
Version:	2.0
Release:	2mdk
Source:		fretscale-%{version}.tar.bz2
Group:		Sound
URL:            http://members.safepages.net/gurensan/
License:	GPL
BuildRequires:	kdelibs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	XFree86-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
fretscale finds fret distances from the nut for stringed musical
instruments based on scale length/# frets/decimal accuracy. It can
output with/without a heading and with/without the remaining scale
distance after each fret. 

%prep

%setup -q

%build
export QTDIR=%{_libdir}/qt3
export KDEDIR=%{_prefix}

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

qmake

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -m0755 bin/fretscale %{buildroot}%{_bindir}/

# Mandrake Menus
install -d %{buildroot}/%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 title="FretScale" \
 longtitle="Calculates fret distances for stringed musical instruments" \
 needs="x11" \
 icon="sound_section.png" \
 section="Multimedia/Sound"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,755)
%{_bindir}/%{name}
%{_menudir}/%{name}

%changelog
* Fri Jun 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0-2mdk
- rebuilt against new deps and with gcc v3.4.x

* Sun Nov 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-1mdk
- initial cooker contrib
